package ink.wgink.exceptions.websocket;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: SessionInvalidException
 * @Description: 会话无效异常
 * @Author: wanggeng
 * @Date: 2021/1/14 12:04 下午
 * @Version: 1.0
 */
public class SessionException extends BaseSocketException {

    public SessionException() {
    }

    public SessionException(String message) {
        super(message);
    }

    public SessionException(String message, Throwable cause) {
        super(message, cause);
    }

    public SessionException(Throwable cause) {
        super(cause);
    }

    public SessionException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
